Figure - Bug #111349

00 Test-1T #110867 (New): V1.00 O O OO O

OO Test-1T #110868 (New): BSP-BVTO O -0/0 000

OBSPOOEVTO OpowerD OO O OO OOadbreboot DO OO DO
2022-08-18 16:16 - SZTS_TEST O I

Status: CLOSED Start date: 2022-09-15

Priority: High Due date:

Assignee: SZTS_TESTO O % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: - Found Version: 0.0.0.20220818_alpha_004

Resolution: - Degrated: -

Severity: Critical Verified Version: cdiot /Pre_figure/VerifyBuild/Pre_figure_turbo
Reproducibility: Rarely Fixed Version: 2022-10-19

Test Type: Bring Up Test Root cause: https://dev.thundercomm.com/gerrit/c/general
Description

oo0ooo

10DuUTOOOO0O0bO0bo0o0o0on

goooo
10cmdO0 O OadbrebootD DO OOOOOOCOCOOOO

gooon
10000000vy120000

goooo

Subtasks:

Bug#111975: 0 BSPO O EVTO O powerD D 0 OO0 OO Oadbreboot0 OO O OdrmO 00 CLOSED
Related issues:

Related to Figure - Bug # 111881: 00 BSPO 00 EVTO O power( O O O :1/... CLOSED 2022-09-09

Related to Figure - Bug # 111703: O BSPO O EVTO O powerd 0 O O O /... CLOSED 2022-09-02

Related to Figure - Bug # 111971: 0 VC10 O BSPO O EVTO O powerd O ... CLOSED 2022-09-15 2023-03-10

History

#1 - 2022-08-31 12:54 - CD SYSTEM-O O O
- Assignee changed fromSZ 0 0 -0 0 O to CD SYSTEM-O O O
- % Done changed from 0 to 50

OO0OlgDO0O000dmOOOOOOOOOOOODOOODOOODO@ODOOS0O0O000) 0000 ramdumpOO0OODOO

Unable to handle kernel NULL pointer dereference at virtual address 0000000000000030

[14:42:38][ 32.178041] OF: graph: no port node found in /soc/qcom,dsi-display-primary

[14:42:38][ 32.185230] [drm] [msm-dsi-warn]: [hx82101+hx8692 video mode dsi truly panel] fallback to default te-pin-select

[14:42:38][ 32.195660] NPU_INFO: npu_reboot_handler: 760 Device is rebooting with code 1

[14:42:38][ 32.197156] msm_drm ae00000.gcom,mdss_mdp: Linked as a consumer to regulator.31
[14:42:38][ 32.210942] Unable to handle kernel NULL pointer dereference at virtual address 0000000000000030

[14:42:38][ 32.211016] register_client_adhoc:find path.src 1 dest 590
[14:42:38][ 32.212332] register_client_adhoc:Client handle 16 mdss_reg
[14:42:38][ 32.220007] Mem abort info:
[14:42:38][ 32.220014] ESR =0x96000006

[14:42:38][ 32.220018] Exception class = DABT (current EL), IL = 32 bits

[14:42:38][ 32.220021] SET=0,FnV=0

[14:42:38][ 32.225816] register_client_adhoc:find path.src 22 dest 512

[14:42:38][ 32.227070] register_client_adhoc:find path.src 23 dest 512

[14:42:38][ 32.231438] EA =0, SIPTW =0

[14:42:38][ 32.235499] register_client_adhoc:Client handle 66 mdss_sde

[14:42:38][ 32.235925] [drm:sde_dbg_init:4676] evtlog_status: enable:11, panic:1, dump:2

[14:42:38][ 32.237484] Data abort info:

[14:42:38][ 32.237487] ISV =0, ISS = 0x00000006

[14:42:38][ 32.237490] CM =0, WnR=0

[14:42:38][ 32.237495] user pgtable: 4k pages, 39-bit VAs, pgdp = ffffffdebef1d000

[14:42:38][ 32.237498] [0000000000000030] pgd=00000000ffc2e003, pud=00000000ffc2e003, pmd=0000000000000000
[14:42:38][ 32.243668] msm_drm ae00000.qcom,mdss_mdp: bound soc:qcom,wh-display@0 (ops sde_wb_comp_ops)
[14:42:38][ 32.246933] Internal error: Oops: 96000006 [#1] PREEMPT SMP

[14:42:42][ 32.253011] msm-dsi-display soc:qcom,dsi-display-primary: Linked as a consumer to regulator.25
[14:42:42][ 32.258227] Modules linked in:

[14:42:42][ 32.258229] Process init (pid: 1, stack limit = 0xffffff8008058000)

[14:42:42][ 32.258231] CPU:4PID: 1 Comm:init Tainted:GS W  4.19.157+#1

[14:42:42][ 32.258232] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b (DT)

[14:42:42][ 32.258233] pstate: 60400005 (nZCv daif +PAN -UAQO)

[14:42:42][ 32.258239] pc : drm_atomic_state_alloc+0x18/0x80

[14:42:42][ 32.258245] Ir : msm_lastclose+0x28c/0x458

[14:42:42][ 32.262005] [drm:dsi_display_bind] [msm-dsi-info]: Successfully bind display panel ‘qgcom,mdss_dsi_panel_hx82101_hx8692_truly_v2_video'

#2 - 2022-09-01 19:54 - CD SYSTEM-0O O O

1,000000000boot/dtbo 0,00000000000O0C0OC0O0O0GODOOON,

Osecurityd 00 O0,000000000O0O0OCDOOO,Ojenkins0 0VBO O .

2000000000.00DBOOOXxIOO,0000000O0Oreboot0 00 O0O0OO,00000.
300000cse,00dumpl 0,0 0000000O0,0000,0000C000C,0000symbolDOODOOODOO.

#3 - 2022-09-02 00:43 - SZTS_TEST O O
- File Serial-COM?9_20220901230244.rar added

0.0.0.20220901_alpha_private_userdebug O O O O adbreboot230 D 0 OO0 OO0 O OOOODCOOOOOOl0gD OO O

#4 - 2022-09-02 11:03 - SZTS_TEST O O
- File Port_COM10.rar added

#5 - 2022-09-05 22:35 - CD SYSTEM-0O O O

- File 2022-09-05-22-23-29.png added

O00O0OOOPCIEDDODOO,0000000O0OOO,
2022-09-05-22-23-29.png
000000000
#6 - 2022-09-07 19:15- CD SYSTEM-O O O

0 O "fastboot oem select-display-panelnone"0 O 00 0O OO0
O00dmO0O0000O,0000#140614#1406030 00, 00000000
gooobooboobobobobooooo.ooobbob0obobOobUboo,HOoOoo
[ 35.197102] init: [libfs_mgr]Error updating for slotselect

[ 35.202770] init: [libfs_mgr]ReadFstabFromFile(): failed to load fstab from : ‘/fstab.gcom’

#7 - 2022-09-07 22:13 - CD SYSTEM-O O O

0000000 d drivers/gpu/drm/drm_atomic.c drm_atomic_state_alloc 0 O O
O000Oconfigd OO OfuncsOONULLOOO.00O000O0O0O0OO0OOODOOONULLODOO

diff --git a/drivers/gpu/drm/drm_atomic.c b/drivers/gpu/drm/drm_atomic.c
index ch3ccba2d2ef..07332b7fdad1 100644

--- a/drivers/gpu/drm/drm_atomic.c

+++ b/drivers/gpu/drm/drm_atomic.c

@@ -112,6 +112,10 @@ struct drm_atomic_state *

drm_atomic_state_alloc(struct drm_device *dev)

{

struct drm_mode_config *config = &dev->mode_config;
+  if (Iconfig || !config->funcs) {
+ printk("drmtest %d %s\n",__LINE__, _ func_);
+ return NULL,
+ 0}

if (Iconfig->funcs->atomic_state_alloc) {

struct drm_atomic_state *state;
ooooveoO

#8 - 2022-09-08 15:04 - CD SYSTEM-O O O

- Status changed from New to RESOLVED

- % Done changed from 50 to 100

- Verified Version set to /Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-qgssi12-dev/20220907/202209072155-1168

govBOOUOOOUOOODOOUODOOOUOODO,DO00U0OOO,O00O00O
https://dev.thundercomm.com/gerrit/c/147583

#9 - 2022-09-08 15:07 - CD SYSTEM-O O O

- Assignee changed from CD SYSTEM-[0 O (0 to SZTS_TEST O O

- Verified Version changed from /Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/20220907/202209072155-1168 to cdiot
/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/20220907/202209072155-1168

ooboooooooo,.oo
https://dev.thundercomm.com/gerrit/c/147583

#10 - 2022-09-13 12:08 - CD SYSTEM-O O O
- File 572119275.jpg added

Jo000doooOodso,00000o,000d0booguoooooog
ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssi12-dev/20220909/202209092232-1206

0 OlogO O O minicom.zip

#11-2022-09-1312:12 - CD SYSTEM-O0 O O

- File minicom.zip added

#12 - 2022-09-14 11:50 - CD TPM-0 O O
- Category set to SYSTEM

#13 - 2022-09-15 14:20 - SZTS_TEST O O

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssi12-dev/20220909/202209092232-1206
000O0Ogpic000+0 0000000000000 2HO OO OO 900e

#14 - 2022-09-15 14:25 - CD SYSTEM-0O 0 O

000000000 log Serial-COM119_20220914175848.1og0 0,0 0000000 O0dmO OO0 O Oslotselect0 00D OO0, 00000000,
[19:27:44][ 80.889803] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!

[19:27:36][ 72.681214] cnss: fatal: Timeout waiting for FW ready indication

[19:27:44][ 80.876331] cnss: Timeout (40000ms) waiting for calibration to complete

[19:27:44][ 80.885980] cnss: ASSERT at line 2433

[19:27:44][ 80.889803] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!

[19:27:44][ 80.896066] Internal error: Oops - BUG: 0 [#1] PREEMPT SMP

[19:27:44][ 80.901703] Modules linked in: wlan(O+) machine_dlkm(O) wcd938x_slave_dlkm(O) wed938x_dlkm(O) wed9xxx_dlkm(O) mbhc_dlkm(O)
tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(QO) wsa_macro_dlkm(QO) swr_ctrl_dlkm(O) bolero_cdc_dlkm(O) wsa881x_dlkm(O) wed_core_dlkm(O)
stub_dlkm(O) hdmi_dlkm(O) swr_dlkm(Q) pinctrl_Ipi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(O) native_dlkm(Q) platform_dlkm(O) g6_dlkm(QO)
adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) g6_notifier_dlkm(O) g6_pdr_dlkm(O) msm_11lad_proxy

[19:27:44][ 80.946055] Process modprobe (pid: 1229, stack limit = Oxffffff8017768000)

[19:27:44][ 80.953111] CPU: 6 PID: 1229 Comm: modprobe Tainted: GS W OL 4.19.157+#1

[19:27:44][ 80.961059] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b (DT)

[19:27:44][ 80.968469] pstate: 60400005 (nZCv daif +PAN -UAQO)

[19:27:44][ 80.973394] pc : cnss_wlan_register_driver+0x2f0/0x2f8

[19:27:44][ 80.978670] Ir : cnss_wlan_register_driver+0x2f0/0x2f8

[19:27:44][ 80.983945] sp : ffffff801776b9e0

00000000OwirelessOOOD0OO0,00000000bugDOLCOO

#15 - 2022-09-26 15:22 - CD SYSTEM-0O O
- Assignee changed from SZTS_TEST O [0 to CD SYSTEM-UO 0 O
- Target version set to 619

govB00 0 0DOO0O00O0O000O0O0000O00D0OOO00DOOODDOOOO DO https://share.thundersoft.com/redmine/issues/111881
ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220909/202209092232-1206
ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220909/202209092232-1206
https://share.thundersoft.com/redmine/issues/111881

V2.0 0 O O root case

oo
https://dev.thundercomm.com/gerrit/c/general/platform/system/core/+/150066

goooo

[14:51:00][ 23.029657] Run /init as init process

[14:51:00][ 23.038763] init: init first stage started!

[14:51:00][ 23.043355] init: Unable to open /lib/modules, skipping module loading.
[14:51:00][ 23.051362] init: [libfs_mgr]dt_fstab: Skip disabled entry for partition vendor
[14:51:00][ 23.058968] init: [libfs_mgr]ReadFstabFromDt(): failed to read fstab from dt
[14:51:00][ 23.066637] init: [libfs_mgr]dt_fstab: Skip disabled entry for partition vendor
[14:51:00][ 23.074445] init: [libfs_mgr]GetFstabPath()fstab_path:/odm/etc/fstab.default
[14:51:00][ 23.081808] init: [libfs_mgr]GetFstabPath()fstab_path:/vendor/etc/fstab.default
[14:51:00][ 23.089378] init: [libfs_mgr]GetFstabPath()fstab_path:/fstab.default
[14:51:00][ 23.096201] init: [libfs_mgr]GetFstabPath()fstab_path:/odm/etc/fstab.qcom
[14:51:00][ 23.103771] init: [libfs_mgr]GetFstabPath()fstab_path:/vendor/etc/fstab.qcom

[14:51:00][ 23.123476] OF: graph: no port node found in /soc/qcom,dsi-display-primary

[14:51:00][ 23.130639] [drm] [msm-dsi-warn]: [hx82101+hx8692 video mode dsi truly panel] fallback to default te-pin-select
[14:51:00][ 23.141065] NPU_INFO: npu_reboot_handler: 760 Device is rebooting with code 1

[14:51:00][ 23.142548] msm_drm ae00000.qcom,mdss_mdp: Linked as a consumer to regulator.31

[14:51:00][ 23.156369] drmtest 116 drm_atomic_state_alloc

[14:51:00][ 23.156492] register_client_adhoc:find path.src 1 dest 590

[14:51:00][ 23.157769] register_client_adhoc:Client handle 16 mdss_reg

[14:51:00][ 23.160997] last close failed: -12

[14:51:00][ 23.177464] register_client_adhoc:find path.src 22 dest 512

[14:51:00][ 23.178714] register_client_adhoc:find path.src 23 dest 512

[14:51:00][ 23.185645] register_client_adhoc:Client handle 66 mdss_sde

[14:51:00][ 23.192179] [drm:sde_dbg_init:4676] evtlog_status: enable:11, panic:1, dump:2

[14:51:00][ 23.200303] gcom_rpmh DRV:apps_rsc TCS Busy, retrying RPMH message send: addr=0x41b08
[14:51:00][ 23.205788] msm_drm ae00000.qcom,mdss_mdp: bound soc:qcom,wb-display@0 (ops sde_wb_comp_ops)
[14:51:00][ 23.217353] reboot: Restarting system with command "

#16 - 2022-09-26 15:53-0 0 0 0 O O -RD3_CDTS O O

- Target version changed from 619 to VC1_FSE_B sample_20221015

#17 - 2022-09-27 17:29 - SZTS_TEST O O

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssi12-dev/20220924/202209242316-1438 [ [0 O O VBO O reboot 487
jo0o0o0oooooooooooa

#18 - 2022-09-27 17:31 - SZTS_TEST O O
- File Serial-COM119_20220927111935.rar added

#19 - 2022-09-27 18:04 - CD SYSTEM-0O O O

- Assignee changed from CD SYSTEM-[0 0 0 to SZTS_TEST O O

ooboooooOooooOobBOOOOOOO0OOOO
https://dev.thundercomm.com/gerrit/c/general/platform/system/core/+/150066
ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220924/202209242316-1438

#20 - 2022-10-08 16:48 - CDTS_TEST U O
- Target version changed from VC1_FSE_B sample_20221015 to VX1_MCE_FSE_V2.0_update_20221012

lo12000000101500000000

#21 - 2022-10-09 11:21 - CD SYSTEM-O0 O O

Hi,O O

00oooobpBO000O0O00O0OO0OOOddlegi 0000000000000 OOoLOoO

ooo

#22 - 2022-10-12 16:43 - CDTS_TEST O O

0000oooLoGO OO 10110ubb 000010000 OO Ologd O O https://thundersoft.feishu.cn/file/boxcnj50ko6DgubzgWaFmNFQnve

#23 - 2022-10-1217:17 - SZTS_TEST O O
-FileO 028500000 _000O 0O .rar added

0 O released 0 101100 userdebug™ O rebootd 02850 0 0 0 00 00O 0O

#24 - 2022-10-1310:54 - CDTS_TEST O O

0000000202210120 000UDO OO O6E50000,00L0GO O O https://thundersoft.feishu.cn/file/boxcnGCvCR7kUs20EIg4P0o97ghd

#25 - 2022-10-13 18:27 - CDTS_TEST O O
- Target version changed from VVX1_MCE_FSE_V2.0_update_20221012 to VX1_MCE_FSE_V3.0_20221030

gbooooooooooooboooooooooooo

#26 - 2022-10-17 11:30 - SZTS_TEST O O
- File Serial-COM78_20221015000000.rar added

EVT20 O O 0 10130 userdebugd O O O O reboot 24000 O 0O 0 O O O O O 900e
dumpO O O O O https://thundersoft.feishu.cn/file/boxcnKx4yzOYPN8ioaAjRY5FY Vb?from=from_copylink

#27 - 2022-10-19 14:34 - CD SYSTEM-0 O O
2560000 [22:04:08][ 78.828557] cnss: ASSERT at line 2433

2560001 [22:04:08][ 78.832364] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!
2560002 [22:04:08][ 78.838610] Internal error: Oops - BUG: 0 [#1] PREEMPT SMP
https://thundersoft.feishu.cn/file/boxcnj5Oko6DqubzgWqFmNFQnve
https://thundersoft.feishu.cn/file/boxcnGCvCR7kUs20EIg4Po97qhd
https://thundersoft.feishu.cn/file/boxcnKx4yzOYPN8ioaAjRY5FYVb?from=from_copylink

2560003 [22:04:08][ 78.844241] Modules linked in: wlan(O+) tsnv(O) machine_dlkm(O) wcd938x_slave_dlkm(O) wed938x_dlkm(O) wed9xxx_dlkm(O)
mbhc_dlkm(O) tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(O) wsa_macr  o_dlkm(O) swr_ctrl_dlkm(O) bolero_cdc_dlkm(O)
wsa881x_dlkm(O) wed_core_dlkm(O) stub_dlkm(O) hdmi_dlkm(O) swr_dlkm(O) pinctrl_lpi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(QO) native_dlkm(O)
platform_dlkm(O) g6  _dlkm(O) adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) g6_notifier_dlkm(O) g6_pdr_dlkm(O) msm_11ad_proxy
2560004 [22:04:08][ 78.889300] Process modprobe (pid: 1206, stack limit = 0xffffff8016f50000)

2560005 [22:04:08][ 78.896360] CPU: 7 PID: 1206 Comm: modprobe Tainted: GS W OL 4.19.157+#1

2560006 [22:04:08][ 78.904309] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VX1(MCE) EVT2 (DT)

2560007 [22:04:08][ 78.913052] pstate: 60400005 (nZCv daif +PAN -UAO)

2560008 [22:04:08][ 78.917984] pc : cnss_wlan_register_driver+0x2f0/0x2f8

2560009 [22:04:08][ 78.923255] Ir : cnss_wlan_register_driver+0x2f0/0x2f8

Bug #111971

#28 - 2022-10-19 15:06 - CD SYSTEM-O O O

- Fixed Version set to 2022-10-19

- Root cause set to https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/147583
drm_atomic_state alloc0 DO OO0 O0OO0OOO0O0OO

HiO OO

reboot0 000 0000000000000000000000Olegd0000000000%0ECOOODODOO

000000bugDO000O%EDODODOOOOObugDOO0O0CbugDOOO0Obugd 000000

oo

#29 - 2022-10-21 10:44 - SZTS_TEST O O
- Status changed from RESOLVED to VERIFIED

0000000000 bug

#30 - 2022-10-21 10:44 - SZTS_TEST O O
- Status changed from VERIFIED to CLOSED

#31 - 2022-12-22 20:29 - CD FwW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
146958 general/turbox/tools/build_script/platf | Pre_figure_turbox-c2130c-lal.1-vendo | zhaozj0108@thundersoft.com
orm r-dev

SYSTEM:Add ELF file to meta package for ramdump analysis1. Add ELF file to meta packageTC-RID: 1200-0800301IssuelD: TS-R-BUG-111349Change-1d:
1ch1cf21989f56098cdff417200a284de7aab4f3b

#32 - 2022-12-22 20:29 - CDFwW-0 O

Gerrit Merge Information(]
[ I I I ]
1D Project

Branch Uploader

147583 general/kernel/msm-4.19

Pre_figure_turbox-c2130 | zhaozj0108@thundersoft.

c-lal.1-vendor-dev com

Iconfig->funcs) return
NULL;TC-RID:
1200-0800301lIssuel D:
TS-R-BUG-111349Chan
ge-1d:
1b2b53b7538dc0ae1b38f
51a93300ae966achbde9

SYSTEM:Prevent function parameters from passing in null pointersl. if (config

Files

Serial-COM119_20220818144212_reboot O O .log
Serial-COM9_20220901230244.rar

Port_ COM10.rar

2022-09-05-22-23-29.png

572119275.jpy

minicom.zip

Serial-COM119_20220927111935.rar
go2800000_0000.rar
Serial-COM78_20221015000000.rar

2025-07-04
